%define __libtoolize    /bin/true

%define use_enable_final 0
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define	major	3
%define	libname	%mklibname %name %major
%define oldlibname %mklibname %name 2

%define k3b_18n_version 1.0.3

%define pre rc7

Name: k3b
Summary: CD-Burner for KDE
Version: 1.0.3
Release: %mkrel 1
License: GPL
Group: Archiving/Cd burning
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}-i18n-%{k3b_18n_version}.tar.bz2
URL: http://www.k3b.org/
Requires: cdrecord 
Requires: mkisofs 
Requires: cdrdao 
Requires: sox 
Requires: vcdimager 
Requires: normalize
Requires: kdebase-progs
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libcdda-devel
BuildRequires: kdelibs-devel 
BuildRequires: jpeg-devel
BuildRequires: png-devel
BuildRequires: X11-devel
BuildRequires: mad-devel
BuildRequires: arts-devel
BuildRequires: libart_lgpl-devel
BuildRequires: fam-devel
BuildRequires: audiofile-devel
BuildRequires: alsa-lib-devel
BuildRequires: libvorbis-devel
BuildRequires: nas-devel 
BuildRequires: libflac++-devel
BuildRequires: libflac-devel
BuildRequires: id3lib-devel 
BuildRequires: taglib-devel 
BuildRequires: musicbrainz-devel 
BuildRequires: ffmpeg-devel
BuildRequires: libsndfile-devel 
BuildRequires: libmpcdec-devel 
BuildRequires: libsamplerate-devel
BuildRequires: libdbus-qt-1-devel
BuildRequires: flac
BuildRequires: GL-devel
BuildRequires: hal-devel
BuildRequires: libdvdread-devel
Obsoletes:     kde3-k3b
Obsoletes:     k3b-dvd
Provides:      kde3-k3b
Provides:      k3b-dvd
Conflicts:     k3b <= 0.9-3mdk
Requires:      %libname = %version-%release

%description
K3b is CD-writing software which intends to be feature-rich and 
provide an easily usable interface. Features include burning 
audio CDs from .WAV and .MP3 audio files, configuring external 
programs and configuring devices. 

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr (-,root,root)
%dir %_docdir/HTML/*/k3b
%doc %_docdir/HTML/*/k3b/*
%_libdir/kde3/*
%_bindir/*
%_datadir/applications/kde/*
%_datadir/apps/konqueror/servicemenus/*
%_datadir/mimelnk/application/*
%dir %_datadir/apps/%{name}/
%_datadir/apps/%{name}/*
%_datadir/sounds/*.wav
%_datadir/applnk/.hidden/*.desktop
%_iconsdir/*/*/*/*
%_datadir/apps/konqsidebartng/virtual_folders/services/videodvd.desktop
%_datadir/services/kfile_k3b.desktop
%_datadir/services/videodvd.protocol

#------------------------------------------------------------------

%package -n	%libname
Group: 		System/Libraries
Summary: 	Libraries for %name
Provides: 	lib%name = %version-%release
Conflicts: 	k3b <= 0.9-3mdk
Obsoletes:	%oldlibname

%description -n	%libname
The libraries from %name package

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/libk3b.la
%_libdir/libk3b.so.%{major}*
%_libdir/libk3bdevice.so.*
%_libdir/libk3bdevice.la

#------------------------------------------------------------------

%package devel
Group: Development/Other
Summary: Libraries for %name
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %oldlibname-devel
Obsoletes: %libname-devel
Conflicts: 	k3b <= 0.9-3mdk

%description devel
Development libraries from %name

%files devel
%defattr (-,root,root)
%_includedir/*
%_libdir/*.so

#------------------------------------------------------------------

%prep
%setup -q -c -n %{name}
%setup -q -T -D -c -a 1 -n %{name}


%build
export QTDIR=%qt3dir
cd %_builddir/%name/%name-%version

%configure2_5x \
   --disable-rpath \
   --without-cdrecord-suid-root \
   %if "%{_lib}" != "lib"
   --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
   %endif
   %if %{use_enable_final}
   --enable-final \
   %endif
   --with-k3bsetup=no \
   %if %unstable
   --enable-debug=full 
   %else
   --disable-debug
   %endif

%make 

cd -

cd %_builddir/%{name}/%{name}-i18n-%{k3b_18n_version}
make -f admin/Makefile.common
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%configure --disable-rpath \
            --datadir=%_datadir \
            --disable-debug
# Necessary to regenerate po file !!!! Otherwise it's not generated
make clean
find -name *.gmo | xargs rm -f
%make
cd -


%install
rm -rf %buildroot
mkdir -p %buildroot/%_datadir/applnk/Multimedia

cd %_builddir/%{name}/%{name}-%{version}
%makeinstall
cd -

cd %_builddir/%{name}/%{name}-i18n-%{k3b_18n_version}
%makeinstall
cd -

install -d %buildroot/%_datadir/applications/kde/

# Remove icons in servicemenu
# (trueg: why?)
#cd %buildroot/%_datadir/apps/konqueror/servicemenus/
#for i in *.desktop
#		do perl -pi -e "s|Icon.*||" $i
#done
#cd -				

%find_lang %{name} --with-html
%find_lang k3bsetup
%find_lang libk3b
%find_lang libk3bdevice

cat k3bsetup.lang libk3b.lang libk3bdevice.lang >> %{name}.lang

%clean
rm -rf %buildroot


%changelog
* Mon Jul 23 2007 Sebastian Trueg <strueg@mandriva.com> 1.0.3-1mdv2007.1
+ Revision: 54720
- Fixed subversion backports folder layout

